|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface Link
A link is the Tapestry representation of a URL or URI that triggers dynamic behavior. This link is in three parts: a
path portion, an optional anchor, and a set of query parameters. A request for a link will ultimately be recognized
by a Dispatcher.
| Method Summary | |
|---|---|
void |
addParameter(String parameterName,
String value)
Adds a parameter value. |
String |
getAnchor()
Returns the link anchor. |
List<String> |
getParameterNames()
Returns the names of any additional query parameters for the URI. |
String |
getParameterValue(String name)
Returns the value of a specifically named query parameter, or null if no such query parameter is stored in the link. |
void |
setAnchor(String anchor)
Sets the link anchor. |
String |
toAbsoluteURI()
Converts the link to an absolute URI, a complete path, starting with a leading slash. |
String |
toRedirectURI()
Returns the link as a redirect URI. |
String |
toURI()
Returns the URI portion of the link. |
| Method Detail |
|---|
List<String> getParameterNames()
String getParameterValue(String name)
void addParameter(String parameterName,
String value)
URLCodec.
parameterName - the name of the parameter to storevalue - the value to store
IllegalArgumentException - if the link already has a parameter with the given nameString toURI()
String toRedirectURI()
String getAnchor()
void setAnchor(String anchor)
anchor - the link anchorString toAbsoluteURI()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||